Skip to main content
GET
/
items
/
info
Retrieve an item
curl --request GET \
  --url https://api.retrac.co/items/info \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "sku": "<string>",
  "description": "<string>",
  "supplierId": "<string>",
  "cost": 123,
  "sellPrice": 123,
  "tagId": "<string>",
  "tags": [
    {
      "id": "<string>",
      "name": "<string>"
    }
  ],
  "userId": "<string>",
  "workspaceId": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "projectId": "<string>",
  "supplier": {
    "id": "<string>",
    "name": "<string>",
    "email": "<string>",
    "phone": "<string>"
  }
}
You can retrieve an item by providing the itemId as a query parameter:

Authorizations

Authorization
string
header
required

Bearer API key from Settings → API Keys. Use restricted keys (prefix retrac_) with the minimum scopes required.

Query Parameters

workspaceId
string
required

The ID of the workspace.

Example:

"ws_cluuwcv0r..."

projectSlug
string
deprecated

The slug of the project. This field is deprecated – use workspaceId instead.

itemId
string

The unique ID of the item.

Example:

"clux0rgak00011..."

Response

The retrieved item

id
string
required

The unique ID of the short item.

sku
string
required

The SKU of the item.

description
string
required

The item description.

supplierId
string | null
required

The supplier ID of the item.

cost
number
required

The item cost.

sellPrice
number
required

The default sell price of the item.

tagId
string | null
required
deprecated

[DEPRECATED] (use tags instead): The unique ID of the tag assigned to the short item.

tags
ItemTag · object[] | null
required

The tags assigned to the short item.

userId
string
required

The user ID of the creator of the short item.

workspaceId
string
required

The workspace ID of the short item.

createdAt
string
required

The date and time when the short item was created.

updatedAt
string
required

The date and time when the short item was last updated.

projectId
string
required
deprecated

[DEPRECATED] (use workspaceId instead): The project ID of the short item.

supplier
object

The linked supplier record.